import Default from "./default";
import { MergeUtil } from "@coscine/app-util";

const appLanguageStrings = {
  en: {
    membersTabTitle: "Project Members",
    externalUsersTabTitle: "Invited Users",
    pendingStatus: "Pending",
    expiredStatus: "Expired",
    back: "Back",
    changeRole: "Change role",
    resendBtn: "Resend",
    noUserOptions: "No user found",
    searchNotEnoughCharacters: "Please type more than 3 characters",
    addUser: "Add user",
    createUsersMenu: "Open user menu",
    save: "Save",
    user: "User",
    role: "Role",
    loading: "Loading...",
    typeToSearch: "Search within project members...",
    clear: "Clear",
    perPage: "Per page",
    searchUserPlaceholder: "Search for a user or an email address to add...",
    searchEmailInvite: "You may send an invitation to this email address",
    alreadyGotRole: "(Already added)",
    selectRolePlaceholder: "Select Role",
    firstName: "First Name",
    lastName: "Last Name",
    email: "Email",
    actions: "Actions",
    status: "Status",
    userManagement: "User Management",
    pleaseTypeSomething: "Please enter a name or an email address",
    removeSelectedInvitation:
      "Are you sure you want to revoke the invitation for {user} to the project {projectName}?",
    removeSelectedUser:
      "Are you sure you want to remove {user} from the project {projectName}?",
    deleteInvitationTitle: "Revoke Invitation",
    deleteUserTitle: "Remove User",
    delete: "Delete",
    cancel: "Cancel",
    inviteUser: "Send Invitation",
    reInviteUser: "Resend Invitation",
    invite: "Invite",
    inviteUserText:
      "Are you sure you want to invite {emailAddress} with a role as {role} to the project {projectName}?",
    inviteUserTitle: "Invite User",
    inviteUserCaption1: "Choose to invite ",
    inviteUserCaption2: "",
    invitedUserText:
      "An invitation has been sent to {email} with a role as {role} for project {projectName}.",
    invitationPendingText1:
      "An invitation has already been sent to {emailAddress}.",
    invitationPendingText2:
      "If you would like to resend an invitation email to this user, you have to cancel the previous invitation via the Invited Users tab.",
    invitedUserError1: "An error ocurred while trying to invite ",
    invitedUserError2:
      ". Invalid input was provided or the user has already been invited.",
    deleteExternalUserError1: "An error ocurred while trying to remove ",
    deleteExternalUserError2: ".",
    emptyTableText: "No user found",
    emptyFilterText: "No user found matching your request",
    addedUser1: "Added ",
    addedUser2: " to ",
    addedUser3: " as ",
    addedUser4: "",
    removedUser1: "Removed ",
    removedUser2: " from ",
    removedUser3: "",
    changedRole1: "Changed ",
    changedRole2: " in ",
    changedRole3: " to ",
    importUserButton: "Import",
    importUserTitle: "Import Members",
    emptyImportTableText: "No member to import",
    emptyImportTableFilterText: "No project member found matching your request",
    removeUser: "Remove",
    searchProjectPlaceholder: "Select a project...",
    existingEmailInvitation: {
      msg1: "An invitation has already been sent to",
      msg2: ". Do you want to send the invitation again?",
    },
  },
  de: {
    membersTabTitle: "Projektmitglieder",
    externalUsersTabTitle: "Eingeladene Benutzer",
    pendingStatus: "Wartet",
    expiredStatus: "Abgelaufen",
    back: "Zurück",
    changeRole: "Rolle ändern",
    resendBtn: "erneut senden",
    noUserOptions: "Kein Benutzer gefunden",
    searchNotEnoughCharacters: "Bitte mehr als 3 Zeichen eingeben",
    addUser: "Benutzer hinzufügen",
    createUsersMenu: "Benutzer Menü öffnen",
    save: "Speichern",
    user: "Benutzer",
    role: "Rolle",
    loading: "Laden...",
    typeToSearch: "Projektmitglied suchen...",
    clear: "Leeren",
    perPage: "Pro Seite",
    searchUserPlaceholder: "Nach Benutzer oder E-Mail Adresse suchen...",
    searchEmailInvite:
      "Sie können eine Einladung an diese E-Mail Adresse senden",
    alreadyGotRole: "(bereits Mitglied)",
    selectRolePlaceholder: "Rolle auswählen",
    firstName: "Vorname",
    lastName: "Nachname",
    email: "E-Mail",
    actions: "Aktionen",
    status: "Status",
    userManagement: "Benutzerverwaltung",
    pleaseTypeSomething:
      "Bitte geben Sie einen Namen oder eine E-Mail Adresse ein",
    removeSelectedInvitation:
      "Sind Sie sicher, dass Sie die Einladung von Benutzer {user} zum Projekt {projectName} zurückziehen möchten?",
    removeSelectedUser:
      "Sind Sie sicher, dass Sie den Benutzer {user} aus dem Projekt {projectName} entfernen möchten?",
    deleteInvitationTitle: "Einladung Zurückziehen",
    deleteUserTitle: "Benutzer entfernen",
    delete: "Löschen",
    cancel: "Abbrechen",
    inviteUser: "Einladung abschicken",
    reInviteUser: "Erneut senden",
    invite: "Einladen",
    inviteUserText:
      "Sind Sie sicher, dass Sie den Benutzer {emailAddress} mit einer Rolle als {role} zum Projekt {projectName} einladen wollen?",
    inviteUserTitle: "Benutzer einladen",
    inviteUserCaption1: "Wählen Sie ",
    inviteUserCaption2: " aus",
    invitedUserText:
      "Eine Einladung wurde an {email} mit einer Rolle als {role} für das Projekt {projectName} verschickt.",
    invitationPendingText1:
      "Es wurde bereits eine Einladung an {emailAddress} gesendet.",
    invitationPendingText2:
      "Wenn Sie eine neue Einladungsemail an diesen Benutzer schicken möchten, müssen Sie die vorherige Einladung über den Tab Eingeladene Benutzer löschen.",
    invitedUserError1: "Ein Fehler ist beim Einladen von ",
    invitedUserError2:
      " aufgetreten. Eingaben sind fehlerhaft oder der Benutzer wurde bereits eingeladen.",
    deleteExternalUserError1: "Beim Löschen von ",
    deleteExternalUserError2: " ist ein Fehler aufgetreten.",
    emptyTableText: "Keine Benutzer gefunden",
    emptyFilterText:
      "Keine Benutzer gefunden, die mit Ihrer Anfrage übereinstimmen.",
    addedUser1: "",
    addedUser2: " als ",
    addedUser3: " zu ",
    addedUser4: " hinzugefügt",
    removedUser1: "",
    removedUser2: " von ",
    removedUser3: " gelöscht",
    changedRole1: "",
    changedRole2: " ist nun ",
    changedRole3: " in ",
    importUserButton: "Importieren",
    importUserTitle: "Mitglieder importieren",
    emptyImportTableText: "Kein Mitglied zum Importieren",
    emptyImportTableFilterText:
      "Es wurde kein passendes Projektmitglied gefunden",
    removeUser: "Entfernen",
    searchProjectPlaceholder: "Wählen Sie ein Projekt aus...",
    existingEmailInvitation: {
      msg1: "Es wurde bereits eine Einladung an",
      msg2: "versendet. Möchten Sie die Einladung erneut versenden?",
    },
  },
};

const languageStrings = MergeUtil.merge(
  MergeUtil.merge({}, Default),
  appLanguageStrings
);

export default {
  languageStrings,
};
